// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package role

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"sundynix-micro-go/app/system/api/internal/logic/role"
	"sundynix-micro-go/app/system/api/internal/svc"
	"sundynix-micro-go/app/system/api/internal/types"
	"sundynix-micro-go/common/response"
)

// 创建角色
func CreateRoleHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.RoleReq
		if err := httpx.Parse(r, &req); err != nil {
			response.Fail(w, err.Error())
			return
		}

		l := role.NewCreateRoleLogic(r.Context(), svcCtx)
		err := l.CreateRole(&req)
		if err != nil {
			response.Fail(w, err.Error())
		} else {
			response.Ok(w)
		}
	}
}
